
const dayworkStore = defineStore('daywork', {
  state: () => ({
    productionPlanNo: null,
    productDescription: null,
    deptId: null,
    equipmentDetailCode: null,
    processId: null
  }),
  actions: {
    setProductionPlanNoQueryParams(value) {
      this.productionPlanNo = value;
    },
    setProductDescriptionQueryParams(value) {
      this.productDescription = value;
    },
    setDeptIdQueryParams(value) {
      this.deptId = value;
    },
    setEquipmentDetailCodeQueryParams(value) {
      this.equipmentDetailCode = value;
    },
    setProcessIdQueryParams(value) {
      this.processId = value;
    },
    checkClean(obj) {
      // console.log(obj.name)
      if (obj.name == '') {
      }
    }
  }
})

export default dayworkStore
